> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Restore snapshot to active state

> Restore snapshot to active state



## OpenAPI

````yaml /api-specs/cloud/public-api.json post /remotefs/v1/rpc/restore-snapshot
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /remotefs/v1/rpc/restore-snapshot:
    post:
      tags:
        - NetApp Volumes snapshots
      summary: Restore snapshot to active state
      description: Restore snapshot to active state
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/data-remotefs-service_server.SnapshotIDRequest
        description: Snapshot ID to restore to active state
        required: true
      responses:
        '204':
          description: No Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_remotefs.Snapshot'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
components:
  schemas:
    data-remotefs-service_server.SnapshotIDRequest:
      type: object
      required:
        - snapshotId
      properties:
        snapshotId:
          type: string
    data-remotefs-service_remotefs.Snapshot:
      type: object
      required:
        - createdAt
        - createdBy
        - id
        - status
        - updatedAt
        - updatedBy
        - version
        - volumeId
      properties:
        createdAt:
          type: string
        createdBy:
          $ref: '#/components/schemas/data-remotefs-service_remotefs.UserSummary'
        description:
          type: string
        id:
          type: string
        labels:
          description: System-specified, e.g. for Flows artifacts
          type: object
          additionalProperties:
            type: string
        lastMountedTime:
          type: string
        runId:
          description: Optional field denoting resource associated with a run
          type: string
        status:
          $ref: '#/components/schemas/data-remotefs-service_remotefs.ResourceStatus'
        tags:
          description: >-
            User-specified, for custom mount path resolution, sorted by creation
            time in ascending order
          type: array
          items:
            $ref: '#/components/schemas/data-remotefs-service_remotefs.SnapshotTag'
        updatedAt:
          type: string
        updatedBy:
          $ref: '#/components/schemas/data-remotefs-service_remotefs.UserSummary'
        version:
          description: Links to ONTAP snapshot name
          type: integer
        volumeId:
          type: string
    data-remotefs-service_server.HTTPError:
      type: object
      properties:
        message:
          type: string
    data-remotefs-service_remotefs.UserSummary:
      type: object
      required:
        - firstName
        - id
        - lastName
        - userName
      properties:
        firstName:
          type: string
        id:
          type: string
        lastName:
          type: string
        userName:
          type: string
    data-remotefs-service_remotefs.ResourceStatus:
      type: string
      enum:
        - Active
        - MarkedForDeletion
        - Deleted
      x-enum-varnames:
        - Active
        - MarkedForDeletion
        - Deleted
    data-remotefs-service_remotefs.SnapshotTag:
      type: object
      required:
        - addedAt
        - addedBy
        - name
      properties:
        addedAt:
          type: string
        addedBy:
          $ref: '#/components/schemas/data-remotefs-service_remotefs.UserSummary'
        name:
          type: string

````

## Related topics

- [Restore volume to active state](/api-reference/netapp-volumes/restore-volume-to-active-state.md)
- [Version data with Snapshots](/cloud/platform-capabilities/core-concepts/data/datasets/version-data-with-snapshots.md)
- [Manage NetApp Volumes](/cloud/admin/data-administration/netapp-volumes/index.md)
- [Audit Trail Data Glossary](/cloud/platform-capabilities/features/governance/audit-trail/audit-trail-glossary.md)
